POWERD(8)

NAME
powerd - system power control utility

SYNOPSIS
powerd [-a mode] [-b mode] [-i percent] [-m freq] [-M freq] [-n mode] [-p ival] [-P pidfile] [-r percent] [-v]

DESCRIPTION
The powerd utility monitors the system state and sets various power control options accordingly. It offers power-saving modes that can be individually selected for operation on AC power or batteries.

maximum
    Choose the highest performance values. May be abbreviated as max.

minimum
    Choose the lowest performance values to get the most power savings. May be abbreviated as min.

adaptive
    Attempt to strike a balance by degrading performance when the system appears idle and increasing it when the system is busy. It offers a good balance between a small performance loss for greatly increased power savings. May be abbreviated as adp.

hiadaptive
    Like adaptive mode, but tuned for systems where performance and interactivity are more important than power consumption. It increases frequency faster, reduces frequency less aggressively, and will maintain full frequency for longer. May be abbreviated as hadp.

The default mode is adaptive for battery power and hiadaptive for the rest.

powerd recognizes these runtime options:

-a mode
    Selects the mode to use while on AC power.

-b mode
    Selects the mode to use while on battery power.

-i percent
    Specifies the CPU load percent level when adaptive mode should begin to degrade performance to save power. The default is 50% or lower.

-m freq
    Specifies the minimum frequency to throttle down to.

-M freq
    Specifies the maximum frequency to throttle up to.

-n mode
    Selects the mode to use normally when the AC line state is unknown.

-p ival
    Specifies a different polling interval (in milliseconds) for AC line state and system idle levels. The default is 250 ms.

-P pidfile
    Specifies an alternative file in which the process ID should be stored. The default is /var/run/powerd.pid.

-r percent
    Specifies the CPU load percent level where adaptive mode should consider the CPU running and increase performance. The default is 75% or higher.

-v  Verbose mode. Messages about power changes will be printed to stdout and powerd will operate in the foreground.

SEE ALSO
acpi(4), apm(4), cpufreq(4)

HISTORY
The powerd utility first appeared in FreeBSD 6.0.

AUTHORS
-nosplit Colin Percival first wrote estctrl, the utility that powerd is based on. Nate Lawson then updated it for cpufreq(4), added features, and wrote this manual page.

BUGS
The powerd utility should also power down idle disks and other components besides the CPU.

If powerd is used with power_profile, they may override each other.

The powerd utility should probably use the devctl(4) interface instead of polling for AC line state.